# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [1.0.2](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/compare/1.0.1...1.0.2) (2020-08-08)


### Bug Fixes

* **frontend:** change default theme from purple-green to deeppurple-amber ([17e1bb7](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/17e1bb73cfce2f2c3e40e777bfb25d924aedff49))
* **frontend:** deduplicate ng material density styles ([a6ed8da](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/a6ed8dab282a4e3cd38374482e22fafcaa8754aa))
* fix merge overrides ([d2b5e36](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/d2b5e36d1c48b3f0f4d3480ad944de95cd642e4f))


### Build

* **tools/scripts:** redirect all outputs to same file ([c00dce8](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/c00dce8c51f22462df387b3d99e974aee19cdc60))
* update build/run scripts ([ccd70ec](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/ccd70ec8a8f36ad8fb7da8b9ba3a79a367a5719f))
* **frontend:** use downgrade nginx from 1.18 to 1.14 ([2964ed2](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/2964ed2802eb5e23f771f4c693dbe758858a2295))
* redirect both std- err/out to the same file ([8414116](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/84141167432849ddbe5f144d6a0a865003e57d65))
* **all:** provide basic build scripts and configs ([1691955](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/169195579d2e92af1d10ce36458e3542e57c276c))
* move /scripts -> /tools/scripts ([c909ce5](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/c909ce505c8d190417214553dc2bf67036feb841))


### Others

* **cc:** add tools and tools/scripts scopes for vscode ext ([5a29d03](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/5a29d036e158b4cdca4dfbb40c85ddda46ad1db9))
* **cc): chore(cc:** add all scope for vscode ext ([0575747](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/0575747fa7195336288c2a829e84f38d54fc6fe1))
* replace meepo -> frontend ([8318d9c](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/8318d9cfad62e0347f649199b582b4ec8241b154))


### Refactor

* **frontend:** simplify WBS usages ([bfa8159](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/bfa8159fe06a3171ec2039695b710dff51df295b))

### [1.0.1](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/compare/1.0.0...1.0.1) (2020-08-07)


### Build

* **deps:** bump class-transformer from 0.2.3 to 0.3.1 ([4050a68](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/4050a68d4630d95f5476aba1ff35cb5a891f3e70))

## [1.0.0](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/compare/0.0.2...1.0.0) (2020-08-07)


### ⚠ BREAKING CHANGES

* **todo:** UpdateMyTaskInput.name now required

### Features

* **api:** add and import common module ([b8ab399](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/b8ab399291acd1529ec11bbf514986a9fa5437da))
* **api:** add HOSTNAME config var ([74b5986](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/74b5986d6322285407272dba323113e03218f040))
* **api:** add logger service ([582cd67](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/582cd673387958fa52adbd149ddc96ea1daaa149))
* **frontend:** new theme system ([651d5b0](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/651d5b0e5f86a6e3adf42496eee15f7f203c5604))


### Bug Fixes

* **api:** fix auth password check ([b99b618](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/b99b618556ee3c7b635007b6c657ac7d29f94c7d))
* **frontend:** remove unnecessary .pipe() ([733a64d](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/733a64d1e750490f9dc616f8fa3aef299c17483d))
* **frontend:** rework auth-routing to use children ([7ba3272](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/7ba3272a161af9c8b09fef0f21cdb3aedcfd1bac))


### Refactor

* **api:** add proper url at startup log ([dfbb4ed](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/dfbb4ed8ca8280f575e5a633c21a1b63754c87a5))
* **frontend:** restructure material themes ([222acae](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/222acaef82f35b145d19d6414aecd032c7141086))


### Others

* **cc:** add frontned scope for vscode ext ([f335efa](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/f335efabc74abeec2476d00bba5af35fb62c5a78))
* **todo:** split changes into commits & name everything properly ([8df6c07](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/8df6c07f71370a9541937ebabfb96967e329cc57))

### [0.0.2](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/compare/0.0.1...0.0.2) (2020-08-05)


### Refactor

* rename meepo to frontend ([05cd7ee](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/05cd7ee960995e935976639a54ba6705ae80017e))
* rename meepo-e2e to frontend-e2e ([1f29807](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/1f29807c042fad58c945d1c7dc550ad3f44980d7))
* replace meepo entries with frontend ([c5589dc](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/c5589dc63538644a35df9090eb0ec4911538b27e))


### Build

* data-access:generate lint and prettify project ([93f883e](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/93f883e0211899b464541cd8d29483b26cd796c1))


### Style

* data-access tsling do not ignore generated ([4e8c34d](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/4e8c34d5856d330caa15f7582922483f2ac7de12))
* prettify whole workspace ([edc0fbd](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/edc0fbdd6533f23c93358b458ea23b81518646a6))


### Others

* add check-linter-and-prettier npm script ([3042def](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/3042def510007d9b2e36be5e0e4c4bfe3f7333b7))
* add write-linter-and-prettier npm script ([2d13953](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/2d139533d2e96179d960461ed82fcca7e57d180f))
* rebuild generated ([6e97813](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/6e978139ca67e82d868d41b8bc9dc54c2f4e428c))
* update generate-all-gql script to use yarn ([3597946](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/3597946142492284cd5f1e9dc2cfa30239cc02e5))
* update pre-commit hook cmd ([9c4af4e](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/9c4af4e6ec93e09f776a6136330b9f1aae77a73f))
* **deps-cfg:** prettier ignore CHANGELOG ([2067ed4](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/2067ed45dbda1a67900e096a8d65f66f2c38e28d))

### [0.0.1](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/compare/0.0.0...0.0.1) (2020-08-05)


### Others

* **cc:** provide tmp cc scopes for vscode ([68d2c3a](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/68d2c3a4a9fa54f8263ad0bffe6950e874031830))

## 0.0.0 (2020-08-05)


### Others

* **cc:** add cz config ([11870ac](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/11870ac1dcad27e228d0f2e82c480371d734c5f9))
* **cc:** add some cc npm scripts ([ebec846](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/ebec846d7888c655b5e17f9832e7100769766b52))
* **cc:** provide commitlint config ([90a5463](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/90a546332b74ea0a6b5bde5c4ebbfa37c5e84351))
* **deps:** install @commitlint/cli ([57fb475](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/57fb4757a68f1fce228c01753030d52a3a6aad33))
* **deps:** install @commitlint/config-conventional ([a663704](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/a663704da4810afda6b0b666342419aa07c11b3c))
* **deps:** install cc base config ([266f4f5](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/266f4f55403a3502522590684ebe7bdf550aa6d2))
* **deps:** install commitizen ([9c1cf64](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/9c1cf6434d9c4a7e3bfa7ba1b0275cab5b6dd91f))
* **deps:** install conventional-recommended-bump ([09bd645](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/09bd645d88fed6e55b9f54851114aa94f98917fa))
* **deps:** install cz-conventional-changelog ([132d8e9](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/132d8e90ab8099ebe5672be3442f33fc7d265497))
* **deps:** install husky ([c408978](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/c4089788833fdcc9f4b16c094f9b9d5aaf2859f5))
* **deps:** install standard-version ([e752c8b](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/e752c8b8267701ebc769932d262ee0e7b8a4df84))
* **deps-cfg:** provide .npmrc ([bc8ca3d](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/bc8ca3d5ae905f084393174d852713667a405aee))
* **deps-cfg:** provide husky config ([85b2d54](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/85b2d54508a8d9da2e7daeba2c4a3824f1c5d921))
* **deps-cfg:** provide local cc config ([0659c56](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/0659c563adc932911adcf0024e891b9c61520be8))
* **deps-cfg:** provide standard-version config ([56fefb1](https://github.com/AmirAlOmari/nx-nest-ng-gql-monorepo/commit/56fefb1ba53529ddcf03281e2cec2554d9811d90))
